<template>
  <div class="tableRate">
    <p class="tableRate__header">{{header}}</p>
    <div class="tableRate__row">
      <div :class="{'item':true, 'double': double}" v-for="(item, index) in items" :key="index">{{item.value}}</div>
    </div>
    <div class="tableRate__row inputs" v-if="!counts">
      <div :class="{'item':true, 'double': double}" v-for="(item, index) in items" :key="index"><input class="item__input" type="text"></div>
    </div>
    <div class="tableRate__row inputs" >
      <div :class="{'item':true, 'double': double}" v-for="item in value" :key="item"><input class="item__input" type="text" v-model="item.value"></div>
      <!-- <ob-input
          :class="{'item':true, 'double': double}"
          :label="'Совсем недавно'"
          :placeholder="'Введите значение'"
          type="text"
      />
      <ob-input
          :class="{'item':true, 'double': double}"
          :label="'Не так давно'"
          :placeholder="'Введите значение'"
          type="text"
      />
      <ob-input
          :class="{'item':true, 'double': double}"
          :label="'Совсем давно'"
          :placeholder="'Введите значение'"
          type="text"
      /> -->
    </div>
  </div>
</template>

<script>
export default {
  props: {
    value: String,
    header: String,
    items: Array,
    itemsCount: String,
    counts: Boolean,
    double: Boolean
  },
  mounted() {
    console.log(this.value)
  }
}
</script>

<style lang="scss" scoped>
  .tableRate {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    &__header {
      width: 100%;
    }
    &__row {
      display: flex;
      flex-wrap: nowrap;
      width: 100%;
      justify-content: space-around;
      .item {
        width: 33.33%;
        text-align: center;
        padding: 10px 0;
        border: 1px solid #D1D2D6;
        &__input {
          width: 100%;
          height: 100%;
          margin: 0;
          padding: 10px 0;
          border: 0;
          text-align: center;
        }
      }
      .double {
        width: 50%;
      }
    }
    .inputs {
      flex-wrap: wrap;
      .item {
        padding: 0;
      }
    }
  }
</style>
